Jump to content


Photo

Celestron HC Version 4.16

This topic has been archived. This means that you cannot reply to this topic.
17 replies to this topic

#1 Chris Rowland

Chris Rowland

    Viking 1

  • -----
  • Posts: 586
  • Joined: 28 Feb 2005

Posted 31 March 2009 - 02:45 PM

There's a new version of the Celestron HC software, this is version 4.16.

The main change is for Southern Hemisphere users, this one works for the various alignment modes, SkyAlign and OTA Orientation.

It's for the AS-GT, CGEM, CGE and CGE Pro.

Chris

#2 mclewis1

mclewis1

    Thread Killer

  • ****-
  • Posts: 11090
  • Joined: 25 Feb 2006

Posted 31 March 2009 - 03:06 PM

Chris, Do there appear to be any reasons for Northern Hemisphere users of 4.15 to upgrade?

#3 Chris Rowland

Chris Rowland

    Viking 1

  • -----
  • Posts: 586
  • Joined: 28 Feb 2005

Posted 31 March 2009 - 04:57 PM

There's some SAO star selection bug that got fixed as well, otherwise, not unless you have a CGEM or CGE Pro, there's some extended meridian support stuff that got tidied up, I don't know the details.

Chris

#4 waassaabee

waassaabee

    Fly Me to the Moon

  • *****
  • Posts: 5151
  • Joined: 26 Nov 2007

Posted 31 March 2009 - 05:03 PM

Would the upgrade cause any conflicts with the ASCOM drivers for 4.15? Or even better, is the ASCOM driver available for 4.16 as well?

#5 mclewis1

mclewis1

    Thread Killer

  • ****-
  • Posts: 11090
  • Joined: 25 Feb 2006

Posted 31 March 2009 - 06:09 PM

ASCOM 5.x is a platform, and then there is a Celestron unified driver for use with the platform. They will talk to any of the Celestron HC firmware levels, as far as I know there is no requirement to match them (the HC firmware and the ASCOM/driver). So it won't matter if you are at 4.13, 4.15, 4.16 ... or whatever.

#6 waassaabee

waassaabee

    Fly Me to the Moon

  • *****
  • Posts: 5151
  • Joined: 26 Nov 2007

Posted 31 March 2009 - 10:50 PM

I bin skooled... :shocked:

#7 Arbacia

Arbacia

    Apollo

  • *****
  • Posts: 1057
  • Joined: 18 Apr 2007

Posted 01 April 2009 - 06:13 AM

Also a new firmware for the Motor controler of CGEM and CGE Pro

#8 rmollise

rmollise

    Hubble

  • *****
  • Posts: 15842
  • Joined: 06 Jul 2007

Posted 01 April 2009 - 06:52 AM

Would the upgrade cause any conflicts with the ASCOM drivers for 4.15? Or even better, is the ASCOM driver available for 4.16 as well?


The ASCOM drivers will not be affected. The consolidated Celestron driver is all you need, which is built into ASCOM 5.

#9 waassaabee

waassaabee

    Fly Me to the Moon

  • *****
  • Posts: 5151
  • Joined: 26 Nov 2007

Posted 01 April 2009 - 09:29 AM

Thanks Rod! Having just received my CGEM and being in the process of putting a fresh load on the laptop, I wanted to make sure I wasn't missing anything. I had figgered out the ASCOM 5 issue and installed the consolidated unified all together now Celestron driver. But I know how drivers can be your bad actors at time, so I was digging for a little reassurance that I had done did enough...

#10 ibase

ibase

    Aurora

  • *****
  • Posts: 4631
  • Joined: 20 Mar 2008

Posted 01 April 2009 - 10:31 PM

Having just received my new CG-5 ASGT mount, can I upgrade to 4.16 version directly without passing thru 4.15? If I upgrade the HC, does the MC automatically gets upgraded too? Out-of-the-box version is HC 4.13 and MC 5.03/5.03. Thanks.

Best,

Hernando

#11 Doug6952

Doug6952

    Apollo

  • *****
  • Posts: 1142
  • Joined: 24 Jul 2008

Posted 01 April 2009 - 10:36 PM

You can go straight to the 4.16 version. The MC does not get upgraded at the same time. That is done seperately.

#12 ibase

ibase

    Aurora

  • *****
  • Posts: 4631
  • Joined: 20 Mar 2008

Posted 01 April 2009 - 10:44 PM

Thanks Doug.

Best,

#13 Arbacia

Arbacia

    Apollo

  • *****
  • Posts: 1057
  • Joined: 18 Apr 2007

Posted 02 April 2009 - 04:38 AM

I own a CGE mount. I did't update the HC firmware yet.


However I install it in Nexremote firmware folder.
When open Nexremote and config for CGE selecting the new 4.16 instead of former 4.15. The virtual HC behaves like a HC of CGEM not CGE as previously selected.

Has anybody install the new 4.16 in the real HC of CGE?

Soon i'll report this to Celestron.

#14 waassaabee

waassaabee

    Fly Me to the Moon

  • *****
  • Posts: 5151
  • Joined: 26 Nov 2007

Posted 02 April 2009 - 09:53 AM

Anyone having issues with the HCUpdate installation? I tried downloading 3 times last night (sketchy), and every time it would not recognize the H/C nor would it connect to the internet. I successfully downloaded and installed a working PecTool application, so I know it wasn't the laptop.

#15 rmollise

rmollise

    Hubble

  • *****
  • Posts: 15842
  • Joined: 06 Jul 2007

Posted 02 April 2009 - 10:01 AM

Having just received my new CG-5 ASGT mount, can I upgrade to 4.16 version directly without passing thru 4.15? If I upgrade the HC, does the MC automatically gets upgraded too? Out-of-the-box version is HC 4.13 and MC 5.03/5.03. Thanks.

Best,

Hernando


You can, but I would not do that right now. There may be a bug or two lurkin', and the new stuff does very little for CG5 owners--UNLESS you live in the southern hemisphere. If you do, it does clear up the problems south-of-the-equator folks was havin' with 4.15. Me? 4.15 works fine and I'm keepin' my powder dry till I'm sure this one is OK.

:lol:

#16 ibase

ibase

    Aurora

  • *****
  • Posts: 4631
  • Joined: 20 Mar 2008

Posted 02 April 2009 - 01:01 PM

Thanks for the tip Unk Rod! Will wait a while 'till the 4.16 bugs have been squashed and upgrade to 4.15 in the meantime. :)

Best,

#17 Alph

Alph

    Surveyor 1

  • -----
  • Posts: 1769
  • Joined: 23 Nov 2006

Posted 02 April 2009 - 01:05 PM

However I install it in Nexremote firmware folder.
When open Nexremote and config for CGE selecting the new 4.16 instead of former 4.15. The virtual HC behaves like a HC of CGEM not CGE as previously selected.


NexRemote is always behind the curve. Copying just GEM 4.16.bin to the NexRemote folder will not work. There is a file in the same folder that needs to be updated for every new firmware release It is OK though to update your real HC. I had no problems updating and running new firmware.

#18 Arbacia

Arbacia

    Apollo

  • *****
  • Posts: 1057
  • Joined: 18 Apr 2007

Posted 02 April 2009 - 07:18 PM

Ok, I have installed the new Nexremote 1.16.25
Still in the same way.






Cloudy Nights LLC
Cloudy Nights Sponsor: Astronomics